
QGIS Application - Bug report #21841

QGIS crashes on exit

2019-04-12 02:59 PM - Karsten Tebling

Status: Feedback

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.6.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29656

Description

User Feedback

Hello, QGIS crashes from time to time when I try to exit it via the Windows Exit Button.

I didn't find unclosed tickets with the same Stack Trace, so I hope this is not a duplicate.

Report Details

Crash ID: e48fe61b279b81259140aad9ea98e4c2b936f8e5

Stack Trace

QgsTaskManager::cancelAll :

QgsTaskManager::~QgsTaskManager :

QgsTaskManager::~QgsTaskManager :

QgsValidityCheckResult::QgsValidityCheckResult :

QgsApplication::~QgsApplication :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.1-Noosa

QGIS code revision: commit:2468226bc9

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2019-04-12 03:01 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

- Category changed from GUI to Unknown

Please try with a new/clean qgis profile, no 3rd party plugins installed-
#2 - 2019-04-18 08:15 AM - Karsten Tebling

Giovanni Manghi wrote:

Please try with a new/clean qgis profile, no 3rd party plugins installed-

How do I do that on my workplace without screwing with the current installation? I'm at work here so I can't just uninstall/install software on my own.

#3 - 2019-04-18 01:08 PM - Giovanni Manghi

Karsten Tebling wrote:

Giovanni Manghi wrote:

Please try with a new/clean qgis profile, no 3rd party plugins installed-

How do I do that on my workplace without screwing with the current installation? I'm at work here so I can't just uninstall/install software on my own.

settings > profiles > new profile

2025-04-27 2/2


